package com.alibaba.druid.sql.dialect.greenplum.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.statement.SQLCreateIndexStatement;
import com.alibaba.druid.sql.ast.statement.SQLUpdateSetItem;
import com.alibaba.druid.sql.dialect.greenplum.ast.GPSQLIndexSpec;
import com.alibaba.druid.sql.dialect.greenplum.visitor.GPASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class GPCreateIndexStatement extends SQLCreateIndexStatement {
   private ArrayList<GPSQLIndexSpec> specList = new ArrayList();
   private List<SQLUpdateSetItem> withList = new ArrayList();

   public GPCreateIndexStatement(DbType dbType) {
      super(dbType);
   }

   public ArrayList<GPSQLIndexSpec> getSpecList() {
      return this.specList;
   }

   public void setSpecList(ArrayList<GPSQLIndexSpec> specList) {
      this.specList = specList;
   }

   public List<SQLUpdateSetItem> getWithList() {
      return this.withList;
   }

   public void setWithList(List<SQLUpdateSetItem> withList) {
      this.withList = withList;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GPASTVisitor)visitor);
   }

   public void accept0(GPASTVisitor visitor) {
      visitor.visit(this);
   }
}
